<?php
if(!defined('DEDEINC')) exit('Request Error!');
/**
 * 銀行匯款/轉帳接口
 */

/**
 * 類
 */
class bank
{
    /**
    * 構造函數
    *
    * @access  public
    * @param
    *
    * @return void
    */
    var $orderurl = '../member/shops_products.php';
    
    function bank()
    {
    }

    function __construct()
    {
      $this->bank();
    }
    
    /**
    * 設置回送地址
    */
    
    function SetReturnUrl($returnurl='')
    {
        return "";
    }

    /**
    * 提交函數
    */
    function GetCode($order,$payment)
    {
        require_once DEDEINC.'/shopcar.class.php';
        $cart = new MemberShops();
        $cart->clearItem();
        $cart->MakeOrders();
        if($payment=="member") $button="您可以 <a href='/'>返回首頁</a> 或去 <a href='/member/operation.php'>會員中心</a>";
        else $button="您可以 <a href='/'>返回首頁</a> 或去 <a href='{$this->orderurl}?oid=".$order."'>查看訂單</a>";
        return $button;
    }
    
}//End API